Update issue creation config
curl --request PATCH \
--url https://neo.api.projectdiscovery.io/api/v1/issues/config \
--header 'Content-Type: application/json' \
--data '
{
"config_text": "<string>"
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/issues/config"
payload = { "config_text": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({config_text: '<string>'})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/issues/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config_text": "<string>",
"default_config": {
"config_text": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
},
"project_config": {
"config_text": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Issues
Update issue creation config
Create or update the issue creation policy/rules
PATCH
/
api
/
v1
/
issues
/
config
Update issue creation config
Query Parameters
Update the project-specific config override for this project
Explicitly select whether to update global/team config or project config
Available options:
global, project Body
application/json
Freeform text/markdown policy that agents follow when creating issues
Response
Updated issue config
Effective combined policy text. Includes default config first, then project config when present.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
When the config was last updated
Email of the user who last updated the config
⌘I

